Model (KML Framework API)
Keywords: org.boehn.kmlframework.kml.Model class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.boehn.kmlframework.kml
Class Model

    java.lang.Object
      org.boehn.kmlframework.kml.KmlObject
          org.boehn.kmlframework.kml.Geometry
              org.boehn.kmlframework.kml.Model

    public class Model

extends Geometry

Constructor Summary
`Model()`
`Model(AltitudeModeEnum altitudeMode, java.lang.Double longitude, java.lang.Double latitude, java.lang.Double altitude, java.lang.Double heading, java.lang.Double tilt, java.lang.Double roll, java.lang.Double scaleX, java.lang.Double scaleY, java.lang.Double scaleZ, Link link, java.util.List<Alias> resourceMap)`

Method Summary
`java.lang.Double` | `getAltitude()`
`AltitudeModeEnum` | `getAltitudeMode()`
`java.lang.Double` | `getHeading()`
`java.lang.Double` | `getLatitude()`
`Link` | `getLink()`
`java.lang.Double` | `getLongitude()`
`java.util.List<Alias>` | `getResourceMap()`
`java.lang.Double` | `getRoll()`
`java.lang.Double` | `getScaleX()`
`java.lang.Double` | `getScaleY()`
`java.lang.Double` | `getScaleZ()`
`java.lang.Double` | `getTilt()`
`void` | `setAltitude(java.lang.Double altitude)`
`void` | `setAltitudeMode(AltitudeModeEnum altitudeMode)`
`void` | `setHeading(java.lang.Double heading)`
`void` | `setLatitude(java.lang.Double latitude)`
`void` | `setLink(Link link)`
`void` | `setLongitude(java.lang.Double longitude)`
`void` | `setResourceMap(java.util.List<Alias> resourceMap)`
`void` | `setRoll(java.lang.Double roll)`
`void` | `setScaleX(java.lang.Double scaleX)`
`void` | `setScaleY(java.lang.Double scaleY)`
`void` | `setScaleZ(java.lang.Double scaleZ)`
`void` | `setTilt(java.lang.Double tilt)`
`void` | `write(Kml kml)`
`void` | `writeDelete(Kml kml)`

Methods inherited from class org.boehn.kmlframework.kml.KmlObject
`booleanToInt, enumToString, getId, getIdAndTargetIdFormatted, getTargetId, setId, setTargetId`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Model

    public Model()

### Model

    public Model(AltitudeModeEnum altitudeMode,
                 java.lang.Double longitude,
                 java.lang.Double latitude,
                 java.lang.Double altitude,
                 java.lang.Double heading,
                 java.lang.Double tilt,
                 java.lang.Double roll,
                 java.lang.Double scaleX,
                 java.lang.Double scaleY,
                 java.lang.Double scaleZ,
                 Link link,
                 java.util.List<Alias> resourceMap)

Method Detail

### getAltitudeMode

    public AltitudeModeEnum getAltitudeMode()

### setAltitudeMode

    public void setAltitudeMode(AltitudeModeEnum altitudeMode)

### getLongitude

    public java.lang.Double getLongitude()

### setLongitude

    public void setLongitude(java.lang.Double longitude)

### getLatitude

    public java.lang.Double getLatitude()

### setLatitude

    public void setLatitude(java.lang.Double latitude)

### getAltitude

    public java.lang.Double getAltitude()

### setAltitude

    public void setAltitude(java.lang.Double altitude)

### getHeading

    public java.lang.Double getHeading()

### setHeading

    public void setHeading(java.lang.Double heading)

### getTilt

    public java.lang.Double getTilt()

### setTilt

    public void setTilt(java.lang.Double tilt)

### getRoll

    public java.lang.Double getRoll()

### setRoll

    public void setRoll(java.lang.Double roll)

### getScaleX

    public java.lang.Double getScaleX()

### setScaleX

    public void setScaleX(java.lang.Double scaleX)

### getScaleY

    public java.lang.Double getScaleY()

### setScaleY

    public void setScaleY(java.lang.Double scaleY)

### getScaleZ

    public java.lang.Double getScaleZ()

### setScaleZ

    public void setScaleZ(java.lang.Double scaleZ)

### getLink

    public Link getLink()

### setLink

    public void setLink(Link link)

### getResourceMap

    public java.util.List<Alias> getResourceMap()

### setResourceMap

    public void setResourceMap(java.util.List<Alias> resourceMap)

### write

    public void write(Kml kml)
               throws KmlException

  Specified by:
    `write` in class `KmlObject`
  Throws:
    `KmlException`

### writeDelete

    public void writeDelete(Kml kml)
                     throws KmlException

  Specified by:
    `writeDelete` in class `KmlObject`
  Throws:
    `KmlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD